figdir = '/home/abarth/Lectures/OCEA0036-1/Notes/Fig/';

xf = 0:0.1:10;

zetaf = 0*xf;
hf = 50 * (erf(xf-7) - 2 + 1.6 * exp(-(xf-2.).^2 / 1^2) + xf/20) ;
hmin = 40;

N = 10;
sigma = linspace(0,1,N);

[sc_r,cs_r,sc_w,cs_w] = my_scoord(N,3,0.01);

sigma = -cs_w;

I = 1:10:length(xf);
x = xf(I);
h = hf(I);

X = repmat(x',[1 N+1]);

subplot(1,2,1);

Z = h' * sigma;

hold on

plot(X',Z','b')
plot(X,Z,'b')

patch([x x(end) x(1)],[h min(h) min(h)],0.4 * [1 1 1])
%plot(xf,hf,'k','linewidth',2)
ylim([-150 10]);
title('sigma');

subplot(1,2,2);

Zs = squeeze(makez(-h,hmin,sc_w,cs_w));

hold on

hp = plot(X',Z','b')
set(hp,'color',[.7 .7 1]);
plot(X',Zs','r')
plot(X,Zs,'r')


patch([x x(end) x(1)],[h min(h) min(h)],0.4 * [1 1 1])
%plot(xf,hf,'k','linewidth',2)
ylim([-150 10]);
title('s');




set(gcf,'PaperPosition',[0 0 500 300]);
print('-deps',[figdir '/compare_sigma_s.eps']);



